//
//  ParaFaceNetAccessModel.h
//  ParaFaceDemo
//
//  Created by ZhangSan on 2018/11/24.
//  Copyright © 2018年 PaiLa. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ParaFaceManager.h"

NS_ASSUME_NONNULL_BEGIN

typedef void (^SuccessBlock)(id responseObject);
typedef void (^FailureBlock)(NSString *error);

@interface ParaFaceNetAccessModel : NSObject

+ (instancetype)sharedInstance;

/**
 * APP 启动的时候先获取token
 */
- (void)getAccessTokenWithAK:(NSString *)ak SK:(NSString *)sk;

- (void)setLocalDataUserName:(NSString *)username userID:(NSString *)userid groupID:(NSString *)groupid;

- (void)registerFaceWithImageBaseString:(NSString *)imageStr userName:(NSString *)userName userID:(NSString *)userID groupID:(NSString *)groupID completion:(FinishBlockWithObject)completionBlock;

- (void)searchFaceWithImageBaseString:(NSString *)imageStr userID:(NSString *)userID groupID:(NSString *)groupID completion:(FinishBlockWithObject)completionBlock;


@end

NS_ASSUME_NONNULL_END
